#ifndef TRACKERUTILS_H
#define TRACKERUTILS_H

#include <unordered_map>

#include "../include/ConcurrentQueue.h"
#include "../include/Crawler.h"
#include "../include/Track.h"

using namespace std;

struct TrackerUtils {
    static void track(const shared_ptr<ConcurrentQueue<Track>>& s_track, const shared_ptr<unordered_map<uint32_t, Crawler>>& crawler);
    static void print();
};

#endif
